# pip install wheel
# python setup.py sdist bdist_wheel

from setuptools import setup, find_packages


def read_file(filename: str) -> str:
    """Read a file and return its content as a string.

    Args:
        filename (str): The name of the file to read.

    Returns:
        str: The content of the file.
    """
    with open(filename, encoding="utf-8") as f:
        return f.read()


setup(
    name="backdoor_buster",
    version="0.1.0",
    author="ciscn",
    description="A tool for integrated backdoor detection",
    long_description=read_file("README.md"),
    long_description_content_type="text/markdown",
    url="https://git.mamahaha.work/sangge/BackDoorBuster",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    install_requires=[
        "reportlab",
        "requests",
        "packaging",
        "openai",
        "bs4",
        "uncompyle6",
    ],
)
